
# Interface: IFinishButtonConfig

Provides button properties.

For details, you can refer to the [FinishButton widget](https://customerscanvas.com/dev/sdks/ui-framework/widgets/finish-button.html) topic.

```
{
  "widgets": [
    {
      "type": "finish-button",
      "name": "finish-btn",
      "params": {
        "enabled": true,
        "onClick": [
          "{{ #function cart.submit() }}"
        ]
      }
    }
  ]
}
```

## Hierarchy

* **IFinishButtonConfig**

## Index

### Properties

* [enabled](ifinishbuttonconfig.md#enabled)
* [onClick](ifinishbuttonconfig.md#onclick)
* [visible](ifinishbuttonconfig.md#visible)

## Properties

###  enabled

• **enabled**: *boolean*

Defines whether the button is clickable, `true` or `false`.

___

###  onClick

• **onClick**: *Function | Array‹Function›*

A single function or an array of functions that will be executed when the button is clicked.

___

###  visible

• **visible**: *boolean*

Defines whether the button is visible, `true` or `false`.
